Intelligence
Create intelligence memory
Save a reusable instruction or fact for Substy Intelligence in private or agency scope, optionally linked to a conversation.
POST
/v1/agencies/{agencyId}/intelligence/memoriesSave a reusable instruction or fact for Substy Intelligence in private or agency scope, optionally linked to a conversation.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/intelligence/memories" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "content": "string" }'{ "data": { "remembered": true, "memories": [ { "id": "string", "memory": "string", "scope": "agency", "createdAt": null, "updatedAt": null, "metadata": null } ] }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}